--- fragtest.c.orig	2002-04-15 13:08:08.000000000 -0500
+++ fragtest.c	2021-11-07 17:56:25.000000000 -0600
@@ -458,7 +458,7 @@
 	if ((ctx.ip = ip_open()) == NULL)
 		err(1, "couldn't open raw IP interface");
 
-	if ((ctx.pcap = pcap_open(ifent.intf_name)) == NULL)
+	if ((ctx.pcap = pcap_open_device_named(ifent.intf_name)) == NULL)
 		err(1, "couldn't open %s for sniffing", ifent.intf_name);
 	
 	if ((ctx.dloff = pcap_dloff(ctx.pcap)) < 0)
--- pcaputil.c.orig	2002-02-25 00:21:59.000000000 -0600
+++ pcaputil.c	2021-11-07 17:56:25.000000000 -0600
@@ -26,8 +26,10 @@
 
 #include "pcaputil.h"
 
+#define BIOCIMMEDIATE _IOW('B',112, u_int)
+
 pcap_t *
-pcap_open(char *device)
+pcap_open_device_named(char *device)
 {
 	char ebuf[PCAP_ERRBUF_SIZE];
 	pcap_t *pcap;
--- pcaputil.h.orig	2002-01-17 15:33:55.000000000 -0600
+++ pcaputil.h	2021-11-07 17:56:25.000000000 -0600
@@ -9,7 +9,7 @@
 #ifndef PCAPUTIL_H
 #define PCAPUTIL_H
 
-pcap_t *pcap_open(char *device);
+pcap_t *pcap_open_device_named(char *device);
 int	pcap_dloff(pcap_t *pcap);
 int	pcap_filter(pcap_t *pcap, const char *fmt, ...);
 
--- tun-loop.c.orig	2002-03-08 22:41:20.000000000 -0600
+++ tun-loop.c	2021-11-07 17:56:25.000000000 -0600
@@ -104,7 +104,7 @@
 		return (tun_close(tun));
 	
 	/* Set up to sniff on loopback. */
-	if ((tun->pcap = pcap_open(tun->ifent->intf_name)) == NULL)
+	if ((tun->pcap = pcap_open_device_named(tun->ifent->intf_name)) == NULL)
 		return (tun_close(tun));
 	
 	if (pcap_filter(tun->pcap, "ip dst %s", addr_ntoa(dst)) < 0)
